* SalesBridge (ZZ) program OOP Framework header file

#INCLUDE "INCLUDE\FOXPRO.H"

*-- Messagebox Titles and other messages
#DEFINE MSG_ERRORTITLE      "SalesBridge Message"
#DEFINE MSG_APP             "SalesBridge"
#DEFINE MSG_ENTERADDMODE    "File empty. You will be placed in 'Add' mode."
#DEFINE MSG_TABLERULEFAIL   "Table rule failed!"
#DEFINE MSG_SAVECHANGES     "Do you want to save your changes first?"
#DEFINE MSG_DELETEREC       "Do you want to delete this record?"
#DEFINE MSG_DELETEWARN      "Delete Warning"
#DEFINE MSG_ADDNEWREC       "File empty. Do you want to add a new record?"
#DEFINE MSG_INFSAVED        "Information saved."
#DEFINE MSG_RECCOPIED       "Record Copied."
#DEFINE MSG_EMPTYPICKLIST   "Empty List"
#DEFINE MSG_METHOD          "Method: "
#DEFINE MSG_LINENUM         "Line: "
#DEFINE MSG_CONFLICT        "Overwrite changes just made by another user? "
#DEFINE MSG_PRINTPREVIEW    "Preview Print Job?"
#DEFINE MSG_PRINTNOW        "Print Now?"
#DEFINE MSG_EXPORTNOW       "Export Records Now?"

*-- Indicate the status of the current alias
*-- in bcEditform
#DEFINE FILE_OK      0
#DEFINE FILE_BOF     1
#DEFINE FILE_EOF     2
#DEFINE FILE_CANCEL  3

*-- Constants to identify which trigger failed
*-- using element 5 of the array returned by 
*-- AERROR(), as well as to reference the appropriate
*-- array element in the error message array: aErrorMsg[]
#DEFINE INSERTTRIG  1
#DEFINE UPDATETRIG  2
#DEFINE DELETETRIG  3

*-- Trigger error messages
#DEFINE TRIG_INSERTTRIGFAIL  "Insert trigger failed!"
#DEFINE TRIG_UPDATETRIGFAIL  "Update trigger failed!"
#DEFINE TRIG_DELETETRIGFAIL  "Delete trigger failed!"

*-- Keyboard
#DEFINE CRLF   CHR(13) + CHR(10)
#DEFINE CR     CHR(13)
#DEFINE TAB    CHR(9)

*-- Misc. memvars
#DEFINE DEBUGMODE    .F.
#DEFINE CURRENCY     "$"
#DEFINE AERRORARRAY  7
#DEFINE CUSTSTRUARRAY  [1,1]

* Insert assertion function 
* call into program files
#DEFINE ccAssertCommand =g_assert

* Remove assertion calls when desired
*#DEFINE ccAssertCommand **

*-- Event trapping function.
#DEFINE ccEventTrapInit =g_inievt()

*-- Uncomment this line to remove event trap initialization
*#DEFINE ccEventTrapInit **

#DEFINE ccEventTrapTrapEvent =g_recevt(program(), lineno())

*-- Uncomment this line to remove event trap recording
*#DEFINE ccEventTrapTrapEvent **



