FOR lnTag = 1 TO 30
	lcThisCmd = 'cmd
	IF EMPTY(TAG(lnTag))
		THISFORM.cmdcTag1.Caption     =  'Unused'
		THISFORM.cmdcTag1.ToolTipText =  'No Index Specified''
	ELSE
		THISFORM.cmdcTag1.Caption     =  TAG(lnTag)
		THISFORM.cmdcTag1.ToolTipText =  'Index Order: ' + KEY(lnTag)
	ENDIF
	exit
ENDFOR



* Program 06PRG03.PRG
  LOCAL lnCurArea, lnHighestArea, lnIwork, lnIndx, lnIcdx, lnItag
  CLEAR

* Current information on open tables
* Save the current work area
  lnCurArea = SELECT()

* Find the highest work area in use
  SELECT 0
  lnHighestArea = SELECT(0) - 1

* Loop through the work areas
  FOR lnWork = 1 to lnHighestArea
    WAIT WINDOW "Examining workarea: "+STR(m.lnWork,5) NOWAIT
    SELECT (lnWork)
    IF EMPTY(DBF())
      LOOP
    ENDIF
    ? 'Work area ' + STR(m.lnWork,5) + ': '
    ? '  Table: ' + DBF()
  * Next scan for simple/standard indexes
    ? '  Simple/Standard Indexes'
    FOR lnIdx = 1 to 256
      IF EMPTY(NDX(lnIdx))
        IF lnIdx = 1
          ? '      NONE'
        ENDIF
        EXIT
      ENDIF
      ? '    Index: ' + NDX(lnIdx)
      ? '      Expression: ' + TAG(lnIdx)

    * Check if this IDX is the master index
      IF ORDER(ALIAS(),1) = NDX(lnIdx)
        ? '      This is the MASTER index'
      ENDIF

    ENDFOR

  * Scan for compound indexes
    ? '  Compound Indexes'
    FOR lnCdx = 1 to 256
      IF EMPTY(CDX(lnCdx))
        IF lnCdx = 1
          ? '      NONE'
        ENDIF
        EXIT
      ENDIF
      ? '    Index: ' + CDX(lnCdx)

    * Check if this CDX holds the master index
      IF ORDER(ALIAS(),1) = CDX(lnCdx)
        ? '       MASTER index:      ' + SYS(22)
        ? '              expression: ' + TAG(VAL(SYS(21)))
      ENDIF

    * Loop for each tag in the compound index
      FOR lnTag = 1 TO 256
wait wind timeout 1
        IF EMPTY(TAG(CDX(lnCdx),lnTag))
          EXIT
        ENDIF
        ? '      Tag Name:       ' + TAG(CDX(lnCdx),lnTag)
        ? '          Expression: ' + KEY(CDX(lnCdx),lnTag)
      ENDFOR
      ?
    ENDFOR
  ENDFOR

* Return to original area
  SELECT (lnCurArea)







RETURN
*******************
*******************


use data\sbridge!category
disp stru to stru.txt 
use data\sbridge!cust
disp stru to stru.txt additive
use data\sbridge!filter
disp stru to stru.txt additive
use data\sbridge!orders
disp stru to stru.txt additive
use data\sbridge!orditems
disp stru to stru.txt additive
use data\sbridge!pckcred
disp stru to stru.txt additive
use data\sbridge!pcknext
disp stru to stru.txt additive
use data\sbridge!pckpay
disp stru to stru.txt additive
use data\sbridge!pckship
disp stru to stru.txt additive
use data\sbridge!pcksrc
disp stru to stru.txt additive
use data\sbridge!pcksrep
disp stru to stru.txt additive
use data\sbridge!pckterr
disp stru to stru.txt additive
use data\sbridge!pcktitle
disp stru to stru.txt additive
use data\sbridge!pcktrep
disp stru to stru.txt additive
use data\sbridge!pcktype
disp stru to stru.txt additive
use data\sbridge!products
disp stru to stru.txt additive
use data\sbridge!settings
disp stru to stru.txt additive
use data\sbridge!supplier
disp stru to stru.txt additive
use data\sbridge!users
disp stru to stru.txt additive




*************************************************************
*********************************************
*********************************************
*********************************************

